Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.buildin.simpledouble
Class SimpleDoubleScoreDefinition

    java.lang.Object
      org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<SimpleDoubleScore>
          org.optaplanner.core.impl.score.buildin.simpledouble.SimpleDoubleScoreDefinition

All Implemented Interfaces:
  Serializable, ScoreDefinition<SimpleDoubleScore>

    public class SimpleDoubleScoreDefinition

extends AbstractScoreDefinition<SimpleDoubleScore>

See Also:
  Serialized Form

Constructor Summary
`SimpleDoubleScoreDefinition()`

Method Summary
`SimpleDoubleScore` | `buildOptimisticBound(InitializingScoreTrend initializingScoreTrend, SimpleDoubleScore score)` Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).
`SimpleDoubleScore` | `buildPessimisticBound(InitializingScoreTrend initializingScoreTrend, SimpleDoubleScore score)` Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).
`SimpleDoubleScoreHolder` | `buildScoreHolder(boolean constraintMatchEnabled)` Used by `DroolsScoreDirector`.
`int` | `getLevelsSize()` Returns the length of `Score.toLevelNumbers()` for every `Score` of this definition.
`Class<SimpleDoubleScore>` | `getScoreClass()` Returns the `Class` of the actual `Score` implementation
`SimpleDoubleScore` | `parseScore(String scoreString)` Parses the `String` and returns a `Score`.

Methods inherited from class org.optaplanner.core.impl.score.definition.AbstractScoreDefinition
`formatScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleDoubleScoreDefinition

    public SimpleDoubleScoreDefinition()

Method Detail

### getLevelsSize

    public int getLevelsSize()

  Description copied from interface: `ScoreDefinition`
  Returns the length of `Score.toLevelNumbers()` for every `Score` of this definition.

  Returns:
    at least 1

### getScoreClass

    public Class<SimpleDoubleScore> getScoreClass()

  Description copied from interface: `ScoreDefinition`
  Returns the `Class` of the actual `Score` implementation

  Returns:
    never null

### parseScore

    public SimpleDoubleScore parseScore(String scoreString)

  Description copied from interface: `ScoreDefinition`
  Parses the `String` and returns a `Score`.

  Parameters:
    `scoreString` - never null
  Returns:
    never null
  See Also:
    `ScoreDefinition.formatScore(Score)`

### buildScoreHolder

    public SimpleDoubleScoreHolder buildScoreHolder(boolean constraintMatchEnabled)

  Description copied from interface: `ScoreDefinition`
  Used by `DroolsScoreDirector`.

  Parameters:
    `constraintMatchEnabled` - true if `ScoreHolder.isConstraintMatchEnabled()` should be true
  Returns:
    never null

### buildOptimisticBound

    public SimpleDoubleScore buildOptimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                  SimpleDoubleScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or better than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelsSize()` equal to `ScoreDefinition.getLevelsSize()`.
    `score` - never null
  Returns:
    never null

### buildPessimisticBound

    public SimpleDoubleScore buildPessimisticBound(InitializingScoreTrend initializingScoreTrend,
                                                   SimpleDoubleScore score)

  Description copied from interface: `ScoreDefinition`
  Builds a `Score` which is equal or worse than any other `Score` with more variables initialized (while the already variables don't change).

  Parameters:
    `initializingScoreTrend` - never null, with `InitializingScoreTrend.getLevelsSize()` equal to `ScoreDefinition.getLevelsSize()`.
    `score` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.